circuits.bench3(1)

NAME
circuits.bench3 - simple benchmaking of the circuits library

SYNOPSIS
circuits.bench3 [options]

DESCRIPTION
circuits.bench3 does some simple benchmaking of the circuits library.

OPTIONS

-b address:[port]
    Bind to address:[port] (UDP) to test remote events. Default address is 0.0.0.0.

-c integer
    Set concurrency level to integer. Default is 1.

-d  Enable debug mode.

-e number
    Stop after specified number of events. Default is 0.

-f number
    number of dummy events to fill queue with. Default is 0.

-l  Listen on 0.0.0.0:8000 (UDP) to test remote events.

-m mode
    Set operation mode. mode can be latency, speed or sync. Default mode is speed.

-o format
    Specify output format. For example format can be:"cicuits.bench: events:%s, speed:%s, time:%s"

-p  Enable execution profiling support.

-q  Suppress output.

-s  Enable psyco (circuits on speed!) if it is available.

-t seconds
    Stop after specified elapsed seconds.

-w  Wait for remote nodes to connect.

--version
    Output version information and exit.

AUTHOR
James Mills <prologic@shortcircuit.net.au>

This manual page was written by Daniele Tricoli <eriol@mornie.org>, for the Debian project (but may be used by others).